C*****************************************************************************
C  FONT.FOR
C
C  This sample program demonstrates PGL Fonts.
C****************************************************************************
      include   "pgl.for"
      integer*2  ierr
C	
C	Open A Drawing File.
C	
	call pgInitDrw("FONT.PLT"//CHAR(0), 2000, 2000, ierr) 
      if( ierr .ne. 0)then
         print *, 'Error opening drawing file!'
         stop
      endif

      call pgSetColor( 1 )
C
      call textfonts()
C
C     Close The Drawing File.
C	
      call pgEndDrw() 
C
      END
C
C
C
      subroutine textfonts()
      include   "pgl.for"
      integer*2 midx

      midx = pgGetMaxX() / 2

      call pgSetTextScaling( 5, 1, 5, 1 ) 
      call pgSetTextJustify( pgCENTER, pgBOTTOM ) 
      call pgDrawTextXY( midx, 250, "Default Font Set"//
     +        "(pgSMALL)"//CHAR(0) ) 

      call pgSetTextStyle( pgSIMPLEX ) 
      call pgDrawTextXY( midx, 500, "Simplex Font Set"//CHAR(0)) 

      call pgSetTextStyle( pgDUPLEX ) 
      call pgDrawTextXY( midx, 750, "Duplex Font Set"//CHAR(0)) 

      call pgSetTextStyle( pgTRIPLEX ) 
      call pgDrawTextXY( midx, 1000, "Triplex Font Set"//CHAR(0)) 

      call pgSetTextStyle( pgGOTHIC ) 
      call pgDrawTextXY( midx, 1250, "Gothic Font Set"//CHAR(0)) 

      call pgSetTextStyle( pgSCRIPT ) 
      call pgDrawTextXY( midx, 1500, "Script Font Set"//CHAR(0) ) 

      call pgSetTextStyle( pgSDUPLEX ) 
      call pgDrawTextXY( midx, 1750, "Script Duplex Font Set"//CHAR(0)) 

      RETURN
      END
